/*
 * Copyright (C) 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <stdio.h>
#include <X11/Xlib.h>
#include "SGIStereo.h"

void main()
{
	Display *dpy;
	Bool extensionExists;
	int major, minor, xsgiEvent, xsgiError, curmode;
	Status stat;

	dpy = XOpenDisplay(NULL);
        if(!dpy) 
        {
            printf("Unable to open X display\n");
            exit(1);
        }

	extensionExists = XSGIStereoQueryExtension(dpy, &xsgiEvent, &xsgiError);

	if (extensionExists)
        {
            printf("SoftStereo extension found\n");
	    stat = XSGIStereoQueryVersion(dpy, &major, &minor);
	    if (stat)
	        printf("\tVersion = %d.%d\n",major, minor);
	    else
	        printf("\tError querying version\n");
	}else{
            printf("SoftStereo extension not found\n");
	    printf("\txsgiEvent = %d\n",xsgiEvent);
	    printf("\txsgiError = %d\n",xsgiError);
        }

	curmode = XSGIQueryStereoMode(dpy, RootWindow(dpy, DefaultScreen(dpy)));

	switch (curmode)
	{
	    case X_STEREO_UNSUPPORTED:
		printf("\tThis platform does not support X stereo\n");
		break;
	    case STEREO_OFF:
		printf("\tNot in stereo mode\n");
		break;
	    case STEREO_BOTTOM:
		printf("\tStereo, bottom half of screen is primary buffer\n");
	  	break;
	    case STEREO_TOP:
		printf("\tStereo, top half of screen is primary buffer\n");
		break;
	}
}
