/*
 * Copyright (C) 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 *                                offstereo.c
 *
 *       Unconditionally turn off stereo mode, go back into 60 HZ mode.
 *
 *     The libstereo.a routine off_stereo() isn't used here because the
 *   routine on_stereo() stores away the previous monitor mode and
 *   restores it in off_stereo(); we want to just turn off stereo mode
 *   (don't care what mode the monitor was in when offstereo was called).
 */

#include <gl/gl.h>
#include <gl/get.h>
#include <gl/device.h>

main()
{
	int mousey;

    noport();
    winopen("offstereo");
    setmonitor(HZ60);

	/* Allow mouse to go anywhere on screen */
	mousey = getvaluator(MOUSEY);
	setvaluator(MOUSEY, mousey, 0, getgdesc(GD_YPMAX));
}
