/*
 * Copyright (C) 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/* stereopersp.c */

#include <malloc.h>
#include <math.h>

#include "stereo.h"

void stereopersp(int fovy, float aspect,
	float near, float far, float conv, float eye)
{
    float left, right, top, bottom;
    float gltan;

    gltan = tan(fovy/2.0/10.0*M_PI/180.0);

    top = gltan * near;

    bottom = -top;

    gltan = tan(fovy*aspect/2.0/10.0*M_PI/180.0);

    left = -gltan*near - eye/conv*near;
    right = gltan*near - eye/conv*near;

    window(left, right, bottom, top, near, far);

    translate(-eye, 0.0, 0.0);
}

